Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.DefaultAppearance Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | DefaultAppearance (flags, font, text_size, text_color)
| Constructor, with parameters. More...
def | DefaultAppearance ()
| Constructor.
def | DefaultAppearance (default_appearance)
| Constructor, with another default appearance object. More...
def | Set (flags, font, text_size, text_color)
| Set value. More...

## Static Public Attributes
| e_FlagFont = _fsdk.DefaultAppearance_e_FlagFont
| Indicates property font of FoxitPDFSDKPython3.DefaultAppearance is meaningful.
| e_FlagFontSize = _fsdk.DefaultAppearance_e_FlagFontSize
| Indicates property text size of FoxitPDFSDKPython3.DefaultAppearance is meaningful.
| e_FlagTextColor = _fsdk.DefaultAppearance_e_FlagTextColor
| Indicates property text color of FoxitPDFSDKPython3.DefaultAppearance is meaningful.
| flags = _fsdk.DefaultAppearance_flags
| Flags to indicate which properties of default appearance are meaningful. More...
| font = _fsdk.DefaultAppearance_font
| A font for default appearance. It should be a valid font object when it is useful. More...
| text_color = _fsdk.DefaultAppearance_text_color
| Text color for default appearance. Format: 0xRRGGBB. More...
| text_size = _fsdk.DefaultAppearance_text_size
| Text size for default appearance. More...

## Detailed Description

This class represents default appearance data, which is used for free text annotation and form.

## Constructor & Destructor Documentation

## ◆ DefaultAppearance() [1/2]

def FoxitPDFSDKPython3.DefaultAppearance.DefaultAppearance | ( |  | flags,
|  |  | font,
|  |  | text_size,
|  |  | text_color
| ) |  |

Constructor, with parameters.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A valid font object for default appearance when parameter flags includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont .
  [in] | text_size | Font size for default appearance when parameter flags includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFontSize . Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

## ◆ DefaultAppearance() [2/2]

def FoxitPDFSDKPython3.DefaultAppearance.DefaultAppearance | ( |  | default_appearance | ) |

Constructor, with another default appearance object.

Parameters

  [in] | default_appearance | Another default appearance object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.DefaultAppearance.Set | ( |  | flags,
|  |  | font,
|  |  | text_size,
|  |  | text_color
| ) |  |

Set value.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A font for default appearance. Please ensure this is a valid font object when parameter flags includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont .
  [in] | text_size | Font size for default appearance when parameter flags includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFontSize . Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

Returns
  None.

## Member Data Documentation

## ◆ flags

FoxitPDFSDKPython3.DefaultAppearance.flags = _fsdk.DefaultAppearance_flags
| static

Flags to indicate which properties of default appearance are meaningful.

Please refer to values starting from FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont and this can be one or a combination of these values. 0 means no property of default appearance is meaningful.

## ◆ font

FoxitPDFSDKPython3.DefaultAppearance.font = _fsdk.DefaultAppearance_font
| static

A font for default appearance. It should be a valid font object when it is useful.

Note
  Useful only when flags of current object includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFont .

## ◆ text_color

FoxitPDFSDKPython3.DefaultAppearance.text_color = _fsdk.DefaultAppearance_text_color
| static

Text color for default appearance. Format: 0xRRGGBB.

Note
  Useful only when flags of current object includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagTextColor .

## ◆ text_size

FoxitPDFSDKPython3.DefaultAppearance.text_size = _fsdk.DefaultAppearance_text_size
| static

Text size for default appearance.

Usually it should be above 0 when it is useful. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.

Note
  Useful only when flags of current object includes FoxitPDFSDKPython3.DefaultAppearance.e_FlagFontSize .